package com.ss.android.ugc.aweme.miniapp_api.services;

import X.9H9;
import X.C2616Kvf;
import X.LG4;
import X.LT8;
import X.LT9;
import X.LTA;
import android.app.Activity;
import android.app.Application;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.Intent;
import com.bytedance.covode.number.Covode;
import java.util.Locale;
import org.json.JSONObject;

public interface IMiniAppService {
    static {
        Covode.recordClassIndex(92221);
    }

    String addScene(String str, String str2);

    boolean checkMiniAppEnable(Context context);

    String getJsSdkVersion(Application application);

    LT9 getMobClickCombinerIpcService();

    void getShareInfo(String str, LT8 lt8);

    LTA getTTDownloaderIpcService();

    void handleActivityImageResult(int i, int i2, Intent intent);

    void initMiniApp(9H9 r1);

    void initWebViewSuffix(ContextWrapper contextWrapper, String str);

    boolean isMinAppAvailable(Context context, String str);

    void jumpToMiniApp(Context context, String str, String str2, boolean z, String str3, String str4);

    void logExcitingVideoAd(Context context, String str, long j, String str2);

    void notifyFollowAwemeState(int i);

    void notifyLocaleChange(Locale locale);

    void onRequestPermissionsResult(Activity activity, String[] strArr, int[] iArr);

    boolean openMiniApp(Context context, LG4 lg4, C2616Kvf kvf);

    boolean openMiniApp(Context context, String str, C2616Kvf kvf);

    boolean openShortcut(Context context, Intent intent);

    void preloadMiniApp(String str);

    void preloadMiniApp(String str, int i);

    void remoteMobV3(String str, JSONObject jSONObject);

    String setLaunchModeHostTask(String str);

    void tryMoveMiniAppActivityToFront(String str);
}
